AutoScreen_State = 0;

function ScreenshotWithoutInterface()
	HideUIPanel(UIParent);
	AutoScreen_State = 1;
end

function AutoScreen_Update()
	if (AutoScreen_State == 1) then
		Screenshot();
		AutoScreen_State = 2;

	elseif (AutoScreen_State == 2) then
		ShowUIPanel(UIParent);
		AutoScreen_State = 0;
	end
end